org.richfaces.ui.select.pickList

## Class UIPickList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.ui.select.AbstractSelectManyComponent
            - - org.richfaces.ui.select.AbstractOrderingComponent
              - - org.richfaces.ui.select.pickList.AbstractPickList
                - - org.richfaces.ui.select.pickList.UIPickList

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIPickList
      extends AbstractPickList
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <r:pickList> is a component for selecting items from a list. Additionally, it allows for the selected items to be ordered (client-side). From the client side perspective, items are added/removed from the source list, and removed/added to the target list.

  Author:
    Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIPickList.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPickList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()`
    `String` | `getAddAllText()` The text to display in the add-all button
    `String` | `getAddText()` The text to display in the add button
    `String` | `getChangedClass()`
    `String` | `getCollectionType()`
    `String` | `getColumnClasses()`
    `String` | `getDefaultEventName()`
    `String` | `getDisabledClass()`
    `String` | `getDownBottomText()` The text to display in the move-to-bottom button
    `String` | `getDownText()` The text to display in the move-down button
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHeaderClass()`
    `String` | `getItemClass()`
    `String` | `getListHeight()`
    `String` | `getListWidth()`
    `String` | `getMaxListHeight()`
    `String` | `getMinListHeight()`
    `String` | `getOnadditems()` Javascript code executed when items are removed from the source list, and added to the target list
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnfocus()` Javascript code executed when this element receives focus
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getOnremoveitems()` Javascript code executed when items are removed from the target list, and added to the source list
    `String` | `getOnsourceblur()` Javascript code executed when the source list element loses focus.
    `String` | `getOnsourceclick()` Javascript code executed when a pointer button is clicked over the source list element .
    `String` | `getOnsourcedblclick()` Javascript code executed when a pointer button is double clicked over the source list element .
    `String` | `getOnsourcefocus()` Javascript code executed when the source list element receives focus.
    `String` | `getOnsourcekeydown()` Javascript code executed when a key is pressed down over the source list element .
    `String` | `getOnsourcekeypress()` Javascript code executed when a key is pressed and released over the source list element .
    `String` | `getOnsourcekeyup()` Javascript code executed when a key is released over the source list element .
    `String` | `getOnsourcemousedown()` Javascript code executed when a pointer button is pressed down over the source list element .
    `String` | `getOnsourcemousemove()` Javascript code executed when a pointer button is moved within the source list element .
    `String` | `getOnsourcemouseout()` Javascript code executed when a pointer button is moved away from the source list element .
    `String` | `getOnsourcemouseover()` Javascript code executed when a pointer button is moved onto the source list element .
    `String` | `getOnsourcemouseup()` Javascript code executed when a pointer button is released over the source list element .
    `String` | `getOntargetblur()` Javascript code executed when the target list element loses focus.
    `String` | `getOntargetclick()` Javascript code executed when a pointer button is clicked over the target list element .
    `String` | `getOntargetdblclick()` Javascript code executed when a pointer button is double clicked over the target list element .
    `String` | `getOntargetfocus()` Javascript code executed when the target list element receives focus.
    `String` | `getOntargetkeydown()` Javascript code executed when a key is pressed down over the target list element .
    `String` | `getOntargetkeypress()` Javascript code executed when a key is pressed and released over the target list element .
    `String` | `getOntargetkeyup()` Javascript code executed when a key is released over the target list element .
    `String` | `getOntargetmousedown()` Javascript code executed when a pointer button is pressed down over the target list element .
    `String` | `getOntargetmousemove()` Javascript code executed when a pointer button is moved within the target list element .
    `String` | `getOntargetmouseout()` Javascript code executed when a pointer button is moved away from the target list element .
    `String` | `getOntargetmouseover()` Javascript code executed when a pointer button is moved onto the target list element .
    `String` | `getOntargetmouseup()` Javascript code executed when a pointer button is released over the target list element .
    `String` | `getRemoveAllText()` The text to display in the remove-all button
    `String` | `getRemoveText()` The text to display in the remove button
    `String` | `getSelectItemClass()`
    `String` | `getSourceCaption()` The text placed above the source list of items
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTargetCaption()` The text placed above the target list of items
    `String` | `getUpText()` The text to display in the move-up button
    `String` | `getUpTopText()` The text to display in the move-to-top button
    `String` | `getVar()`
    `boolean` | `isDisabled()`
    `boolean` | `isOrderable()` If "true", then the target list is orderable, and the ordering controls are displayed
    `boolean` | `isShowButton()`
    `boolean` | `isSwitchByClick()` if "true", then clicking an item moves it from one list to another
    `boolean` | `isSwitchByDblClick()` if "true", then double-clicking an item moves it from one list to another
    `void` | `setActiveClass(String activeClass)`
    `void` | `setAddAllText(String addAllText)`
    `void` | `setAddText(String addText)`
    `void` | `setChangedClass(String changedClass)`
    `void` | `setCollectionType(String collectionType)`
    `void` | `setColumnClasses(String columnClasses)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDisabledClass(String disabledClass)`
    `void` | `setDownBottomText(String downBottomText)`
    `void` | `setDownText(String downText)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setItemClass(String itemClass)`
    `void` | `setListHeight(String listHeight)`
    `void` | `setListWidth(String listWidth)`
    `void` | `setMaxListHeight(String maxListHeight)`
    `void` | `setMinListHeight(String minListHeight)`
    `void` | `setOnadditems(String onadditems)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnremoveitems(String onremoveitems)`
    `void` | `setOnsourceblur(String onsourceblur)`
    `void` | `setOnsourceclick(String onsourceclick)`
    `void` | `setOnsourcedblclick(String onsourcedblclick)`
    `void` | `setOnsourcefocus(String onsourcefocus)`
    `void` | `setOnsourcekeydown(String onsourcekeydown)`
    `void` | `setOnsourcekeypress(String onsourcekeypress)`
    `void` | `setOnsourcekeyup(String onsourcekeyup)`
    `void` | `setOnsourcemousedown(String onsourcemousedown)`
    `void` | `setOnsourcemousemove(String onsourcemousemove)`
    `void` | `setOnsourcemouseout(String onsourcemouseout)`
    `void` | `setOnsourcemouseover(String onsourcemouseover)`
    `void` | `setOnsourcemouseup(String onsourcemouseup)`
    `void` | `setOntargetblur(String ontargetblur)`
    `void` | `setOntargetclick(String ontargetclick)`
    `void` | `setOntargetdblclick(String ontargetdblclick)`
    `void` | `setOntargetfocus(String ontargetfocus)`
    `void` | `setOntargetkeydown(String ontargetkeydown)`
    `void` | `setOntargetkeypress(String ontargetkeypress)`
    `void` | `setOntargetkeyup(String ontargetkeyup)`
    `void` | `setOntargetmousedown(String ontargetmousedown)`
    `void` | `setOntargetmousemove(String ontargetmousemove)`
    `void` | `setOntargetmouseout(String ontargetmouseout)`
    `void` | `setOntargetmouseover(String ontargetmouseover)`
    `void` | `setOntargetmouseup(String ontargetmouseup)`
    `void` | `setOrderable(boolean orderable)`
    `void` | `setRemoveAllText(String removeAllText)`
    `void` | `setRemoveText(String removeText)`
    `void` | `setSelectItemClass(String selectItemClass)`
    `void` | `setShowButton(boolean showButton)`
    `void` | `setSourceCaption(String sourceCaption)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setSwitchByClick(boolean switchByClick)`
    `void` | `setSwitchByDblClick(boolean switchByDblClick)`
    `void` | `setTargetCaption(String targetCaption)`
    `void` | `setUpText(String upText)`
    `void` | `setUpTopText(String upTopText)`
    `void` | `setVar(String var)`

    - ### Methods inherited from class org.richfaces.ui.select.AbstractOrderingComponent

      `compareValues`

    - ### Methods inherited from class org.richfaces.ui.select.AbstractSelectManyComponent

      `columns, validateValue`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPickList

          public UIPickList()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UISelectMany`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getActiveClass

          public String getActiveClass()

      Specified by:
        `getActiveClass` in class `AbstractSelectManyComponent`

    - #### setActiveClass

          public void setActiveClass(String activeClass)

    - #### getAddAllText

          public String getAddAllText()

      Description copied from class: `AbstractPickList`
      The text to display in the add-all button
      Specified by:
        `getAddAllText` in class `AbstractPickList`

    - #### setAddAllText

          public void setAddAllText(String addAllText)

    - #### getAddText

          public String getAddText()

      Description copied from class: `AbstractPickList`
      The text to display in the add button
      Specified by:
        `getAddText` in class `AbstractPickList`

    - #### setAddText

          public void setAddText(String addText)

    - #### getChangedClass

          public String getChangedClass()

      Specified by:
        `getChangedClass` in class `AbstractSelectManyComponent`

    - #### setChangedClass

          public void setChangedClass(String changedClass)

    - #### getCollectionType

          public String getCollectionType()

      Specified by:
        `getCollectionType` in class `AbstractSelectManyComponent`

    - #### setCollectionType

          public void setCollectionType(String collectionType)

    - #### getColumnClasses

          public String getColumnClasses()

      Specified by:
        `getColumnClasses` in class `AbstractSelectManyComponent`

    - #### setColumnClasses

          public void setColumnClasses(String columnClasses)

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `AbstractSelectManyComponent`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getDisabledClass

          public String getDisabledClass()

      Specified by:
        `getDisabledClass` in class `AbstractSelectManyComponent`

    - #### setDisabledClass

          public void setDisabledClass(String disabledClass)

    - #### getDownBottomText

          public String getDownBottomText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-to-bottom button
      Specified by:
        `getDownBottomText` in class `AbstractOrderingComponent`

    - #### setDownBottomText

          public void setDownBottomText(String downBottomText)

    - #### getDownText

          public String getDownText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-down button
      Specified by:
        `getDownText` in class `AbstractOrderingComponent`

    - #### setDownText

          public void setDownText(String downText)

    - #### getHeaderClass

          public String getHeaderClass()

      Specified by:
        `getHeaderClass` in class `AbstractSelectManyComponent`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getItemClass

          public String getItemClass()

      Specified by:
        `getItemClass` in class `AbstractSelectManyComponent`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getListHeight

          public String getListHeight()

      Specified by:
        `getListHeight` in class `AbstractSelectManyComponent`

    - #### setListHeight

          public void setListHeight(String listHeight)

    - #### getListWidth

          public String getListWidth()

      Specified by:
        `getListWidth` in class `AbstractSelectManyComponent`

    - #### setListWidth

          public void setListWidth(String listWidth)

    - #### getMaxListHeight

          public String getMaxListHeight()

      Specified by:
        `getMaxListHeight` in class `AbstractSelectManyComponent`

    - #### setMaxListHeight

          public void setMaxListHeight(String maxListHeight)

    - #### getMinListHeight

          public String getMinListHeight()

      Specified by:
        `getMinListHeight` in class `AbstractSelectManyComponent`

    - #### setMinListHeight

          public void setMinListHeight(String minListHeight)

    - #### getOnadditems

          public String getOnadditems()

      Description copied from class: `AbstractPickList`
      Javascript code executed when items are removed from the source list, and added to the target list
      Specified by:
        `getOnadditems` in class `AbstractPickList`

    - #### setOnadditems

          public void setOnadditems(String onadditems)

    - #### getOnblur

          public String getOnblur()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in class `AbstractSelectManyComponent`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in class `AbstractSelectManyComponent`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractSelectManyComponent`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractSelectManyComponent`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when this element receives focus
      Specified by:
        `getOnfocus` in class `AbstractSelectManyComponent`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractSelectManyComponent`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractSelectManyComponent`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractSelectManyComponent`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractSelectManyComponent`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractSelectManyComponent`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractSelectManyComponent`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractSelectManyComponent`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractSelectManyComponent`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnremoveitems

          public String getOnremoveitems()

      Description copied from class: `AbstractPickList`
      Javascript code executed when items are removed from the target list, and added to the source list
      Specified by:
        `getOnremoveitems` in class `AbstractPickList`

    - #### setOnremoveitems

          public void setOnremoveitems(String onremoveitems)

    - #### getOnsourceblur

          public String getOnsourceblur()

      Description copied from class: `AbstractPickList`
      Javascript code executed when the source list element loses focus.
      Specified by:
        `getOnsourceblur` in class `AbstractPickList`

    - #### setOnsourceblur

          public void setOnsourceblur(String onsourceblur)

    - #### getOnsourceclick

          public String getOnsourceclick()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is clicked over the source list element .
      Specified by:
        `getOnsourceclick` in class `AbstractPickList`

    - #### setOnsourceclick

          public void setOnsourceclick(String onsourceclick)

    - #### getOnsourcedblclick

          public String getOnsourcedblclick()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is double clicked over the source list element .
      Specified by:
        `getOnsourcedblclick` in class `AbstractPickList`

    - #### setOnsourcedblclick

          public void setOnsourcedblclick(String onsourcedblclick)

    - #### getOnsourcefocus

          public String getOnsourcefocus()

      Description copied from class: `AbstractPickList`
      Javascript code executed when the source list element receives focus.
      Specified by:
        `getOnsourcefocus` in class `AbstractPickList`

    - #### setOnsourcefocus

          public void setOnsourcefocus(String onsourcefocus)

    - #### getOnsourcekeydown

          public String getOnsourcekeydown()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is pressed down over the source list element .
      Specified by:
        `getOnsourcekeydown` in class `AbstractPickList`

    - #### setOnsourcekeydown

          public void setOnsourcekeydown(String onsourcekeydown)

    - #### getOnsourcekeypress

          public String getOnsourcekeypress()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is pressed and released over the source list element .
      Specified by:
        `getOnsourcekeypress` in class `AbstractPickList`

    - #### setOnsourcekeypress

          public void setOnsourcekeypress(String onsourcekeypress)

    - #### getOnsourcekeyup

          public String getOnsourcekeyup()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is released over the source list element .
      Specified by:
        `getOnsourcekeyup` in class `AbstractPickList`

    - #### setOnsourcekeyup

          public void setOnsourcekeyup(String onsourcekeyup)

    - #### getOnsourcemousedown

          public String getOnsourcemousedown()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is pressed down over the source list element .
      Specified by:
        `getOnsourcemousedown` in class `AbstractPickList`

    - #### setOnsourcemousedown

          public void setOnsourcemousedown(String onsourcemousedown)

    - #### getOnsourcemousemove

          public String getOnsourcemousemove()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved within the source list element .
      Specified by:
        `getOnsourcemousemove` in class `AbstractPickList`

    - #### setOnsourcemousemove

          public void setOnsourcemousemove(String onsourcemousemove)

    - #### getOnsourcemouseout

          public String getOnsourcemouseout()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved away from the source list element .
      Specified by:
        `getOnsourcemouseout` in class `AbstractPickList`

    - #### setOnsourcemouseout

          public void setOnsourcemouseout(String onsourcemouseout)

    - #### getOnsourcemouseover

          public String getOnsourcemouseover()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved onto the source list element .
      Specified by:
        `getOnsourcemouseover` in class `AbstractPickList`

    - #### setOnsourcemouseover

          public void setOnsourcemouseover(String onsourcemouseover)

    - #### getOnsourcemouseup

          public String getOnsourcemouseup()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is released over the source list element .
      Specified by:
        `getOnsourcemouseup` in class `AbstractPickList`

    - #### setOnsourcemouseup

          public void setOnsourcemouseup(String onsourcemouseup)

    - #### getOntargetblur

          public String getOntargetblur()

      Description copied from class: `AbstractPickList`
      Javascript code executed when the target list element loses focus.
      Specified by:
        `getOntargetblur` in class `AbstractPickList`

    - #### setOntargetblur

          public void setOntargetblur(String ontargetblur)

    - #### getOntargetclick

          public String getOntargetclick()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is clicked over the target list element .
      Specified by:
        `getOntargetclick` in class `AbstractPickList`

    - #### setOntargetclick

          public void setOntargetclick(String ontargetclick)

    - #### getOntargetdblclick

          public String getOntargetdblclick()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is double clicked over the target list element .
      Specified by:
        `getOntargetdblclick` in class `AbstractPickList`

    - #### setOntargetdblclick

          public void setOntargetdblclick(String ontargetdblclick)

    - #### getOntargetfocus

          public String getOntargetfocus()

      Description copied from class: `AbstractPickList`
      Javascript code executed when the target list element receives focus.
      Specified by:
        `getOntargetfocus` in class `AbstractPickList`

    - #### setOntargetfocus

          public void setOntargetfocus(String ontargetfocus)

    - #### getOntargetkeydown

          public String getOntargetkeydown()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is pressed down over the target list element .
      Specified by:
        `getOntargetkeydown` in class `AbstractPickList`

    - #### setOntargetkeydown

          public void setOntargetkeydown(String ontargetkeydown)

    - #### getOntargetkeypress

          public String getOntargetkeypress()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is pressed and released over the target list element .
      Specified by:
        `getOntargetkeypress` in class `AbstractPickList`

    - #### setOntargetkeypress

          public void setOntargetkeypress(String ontargetkeypress)

    - #### getOntargetkeyup

          public String getOntargetkeyup()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a key is released over the target list element .
      Specified by:
        `getOntargetkeyup` in class `AbstractPickList`

    - #### setOntargetkeyup

          public void setOntargetkeyup(String ontargetkeyup)

    - #### getOntargetmousedown

          public String getOntargetmousedown()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is pressed down over the target list element .
      Specified by:
        `getOntargetmousedown` in class `AbstractPickList`

    - #### setOntargetmousedown

          public void setOntargetmousedown(String ontargetmousedown)

    - #### getOntargetmousemove

          public String getOntargetmousemove()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved within the target list element .
      Specified by:
        `getOntargetmousemove` in class `AbstractPickList`

    - #### setOntargetmousemove

          public void setOntargetmousemove(String ontargetmousemove)

    - #### getOntargetmouseout

          public String getOntargetmouseout()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved away from the target list element .
      Specified by:
        `getOntargetmouseout` in class `AbstractPickList`

    - #### setOntargetmouseout

          public void setOntargetmouseout(String ontargetmouseout)

    - #### getOntargetmouseover

          public String getOntargetmouseover()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is moved onto the target list element .
      Specified by:
        `getOntargetmouseover` in class `AbstractPickList`

    - #### setOntargetmouseover

          public void setOntargetmouseover(String ontargetmouseover)

    - #### getOntargetmouseup

          public String getOntargetmouseup()

      Description copied from class: `AbstractPickList`
      Javascript code executed when a pointer button is released over the target list element .
      Specified by:
        `getOntargetmouseup` in class `AbstractPickList`

    - #### setOntargetmouseup

          public void setOntargetmouseup(String ontargetmouseup)

    - #### isOrderable

          public boolean isOrderable()

      Description copied from class: `AbstractPickList`

      If "true", then the target list is orderable, and the ordering controls are displayed

      Default is "false"

      Specified by:
        `isOrderable` in class `AbstractPickList`

    - #### setOrderable

          public void setOrderable(boolean orderable)

    - #### getRemoveAllText

          public String getRemoveAllText()

      Description copied from class: `AbstractPickList`
      The text to display in the remove-all button
      Specified by:
        `getRemoveAllText` in class `AbstractPickList`

    - #### setRemoveAllText

          public void setRemoveAllText(String removeAllText)

    - #### getRemoveText

          public String getRemoveText()

      Description copied from class: `AbstractPickList`
      The text to display in the remove button
      Specified by:
        `getRemoveText` in class `AbstractPickList`

    - #### setRemoveText

          public void setRemoveText(String removeText)

    - #### getSelectItemClass

          public String getSelectItemClass()

      Specified by:
        `getSelectItemClass` in class `AbstractSelectManyComponent`

    - #### setSelectItemClass

          public void setSelectItemClass(String selectItemClass)

    - #### isShowButton

          public boolean isShowButton()

      Specified by:
        `isShowButton` in class `AbstractOrderingComponent`

    - #### setShowButton

          public void setShowButton(boolean showButton)

    - #### getSourceCaption

          public String getSourceCaption()

      Description copied from class: `AbstractPickList`
      The text placed above the source list of items
      Specified by:
        `getSourceCaption` in class `AbstractPickList`

    - #### setSourceCaption

          public void setSourceCaption(String sourceCaption)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in class `AbstractSelectManyComponent`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in class `AbstractSelectManyComponent`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### isSwitchByClick

          public boolean isSwitchByClick()

      Description copied from class: `AbstractPickList`

      if "true", then clicking an item moves it from one list to another

      Default is "false"

      Specified by:
        `isSwitchByClick` in class `AbstractPickList`

    - #### setSwitchByClick

          public void setSwitchByClick(boolean switchByClick)

    - #### isSwitchByDblClick

          public boolean isSwitchByDblClick()

      Description copied from class: `AbstractPickList`

      if "true", then double-clicking an item moves it from one list to another

      Default is "true"

      Specified by:
        `isSwitchByDblClick` in class `AbstractPickList`

    - #### setSwitchByDblClick

          public void setSwitchByDblClick(boolean switchByDblClick)

    - #### getTargetCaption

          public String getTargetCaption()

      Description copied from class: `AbstractPickList`
      The text placed above the target list of items
      Specified by:
        `getTargetCaption` in class `AbstractPickList`

    - #### setTargetCaption

          public void setTargetCaption(String targetCaption)

    - #### getUpText

          public String getUpText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-up button
      Specified by:
        `getUpText` in class `AbstractOrderingComponent`

    - #### setUpText

          public void setUpText(String upText)

    - #### getUpTopText

          public String getUpTopText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-to-top button
      Specified by:
        `getUpTopText` in class `AbstractOrderingComponent`

    - #### setUpTopText

          public void setUpTopText(String upTopText)

    - #### getVar

          public String getVar()

      Specified by:
        `getVar` in class `AbstractSelectManyComponent`

    - #### setVar

          public void setVar(String var)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.